# __gnu_cxx::_UniqueAssociativeContainerConcept< _UniqueAssociativeContainer > Struct Template Reference

List of all members.

## Detailed Description

### template<class _UniqueAssociativeContainer>
struct __gnu_cxx::_UniqueAssociativeContainerConcept< _UniqueAssociativeContainer >

Definition at line 820 of file boost_concept_check.h.

## Public Member Functions

- void __constraints ()

## Public Attributes

- _UniqueAssociativeContainer::value_type * __first
- _UniqueAssociativeContainer::value_type * __last
- std::pair< typename _UniqueAssociativeContainer::iterator,
  bool > __pos_flag
- _UniqueAssociativeContainer::value_type __t

The documentation for this struct was generated from the following file:

- boost_concept_check.h